Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.engine
Interface CSSContext

All Known Implementing Classes:
  BridgeContext

public interface CSSContext

This interface allows the user of a CSSEngine to provide contextual informations.

Method Summary
`void` | `checkLoadExternalResource(ParsedURL resourceURL, ParsedURL docURL)` This method should throw a SecurityException if the resource found at url and referenced from docURL should not be loaded.
`float` | `getBlockHeight(org.w3c.dom.Element elt)` Returns the height of the block which directly contains the given element.
`float` | `getBlockWidth(org.w3c.dom.Element elt)` Returns the width of the block which directly contains the given element.
`float` | `getBolderFontWeight(float f)` Returns a bolder font-weight.
`Value` | `getDefaultFontFamily()` Returns the value corresponding to the default font-family.
`float` | `getLighterFontWeight(float f)` Returns a lighter font-weight.
`float` | `getMediumFontSize()` Returns the medium font size.
`float` | `getPixelToMillimeter()` Returns the size of a px CSS unit in millimeters.
`float` | `getPixelUnitToMillimeter()` Returns the size of a px CSS unit in millimeters.
`Value` | `getSystemColor(java.lang.String ident)` Returns the Value corresponding to the given system color.
`boolean` | `isDynamic()` Returns true if the document is dynamic, false otherwise.
`boolean` | `isInteractive()` Returns true if the document is interactive, false otherwise.

Method Detail

### getSystemColor

    public Value getSystemColor(java.lang.String ident)

  Returns the Value corresponding to the given system color.

### getDefaultFontFamily

    public Value getDefaultFontFamily()

  Returns the value corresponding to the default font-family.

### getLighterFontWeight

    public float getLighterFontWeight(float f)

  Returns a lighter font-weight.

### getBolderFontWeight

    public float getBolderFontWeight(float f)

  Returns a bolder font-weight.

### getPixelUnitToMillimeter

    public float getPixelUnitToMillimeter()

  Returns the size of a px CSS unit in millimeters.

### getPixelToMillimeter

    public float getPixelToMillimeter()

  Returns the size of a px CSS unit in millimeters. This will be removed after next release.

  See Also:
    `getPixelUnitToMillimeter()`

### getMediumFontSize

    public float getMediumFontSize()

  Returns the medium font size.

### getBlockWidth

    public float getBlockWidth(org.w3c.dom.Element elt)

  Returns the width of the block which directly contains the given element.

### getBlockHeight

    public float getBlockHeight(org.w3c.dom.Element elt)

  Returns the height of the block which directly contains the given element.

### checkLoadExternalResource

    public void checkLoadExternalResource(ParsedURL resourceURL,
                                          ParsedURL docURL)
                                   throws java.lang.SecurityException

  This method should throw a SecurityException if the resource found at url and referenced from docURL should not be loaded.

  Parameters:
    `docURL` - url for the document into which the script was found.
  Throws:
    `java.lang.SecurityException`

### isDynamic

    public boolean isDynamic()

  Returns true if the document is dynamic, false otherwise.

### isInteractive

    public boolean isInteractive()

  Returns true if the document is interactive, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.